(* ::Package:: *)

BeginPackage["qm`qmFormat`",
{"qm`qmBasic`","qm`qmTypesetting`",
"qm`qmSlots`","qm`qmSlotsPrimitives`","qm`qmSlotsExpressions`",
"Global`"}];


(* 
   Copyright 2016
   Jose Luis Gomez-Munoz and Francisco Delgado
   ITESM-CEM, 
   Departamento de F\[IAcute]sica y Matem\[AAcute]ticas (Ciencias B\[AAcute]sicas)
   Carretera Lago de Guadalupe Km. 3.5, 
   Atizap\[AAcute]n de Zaragoza, Estado de M\[EAcute]xico, 
   C.P. 52926
   Mexico
   jose.luis.gomez@itesm.mx
   http://homepage.cem.itesm.mx/jose.luis.gomez/
*)


Unprotect[qi`$formatNames];
ClearAll[qi`$formatNames];
qi`$formatNames=HoldComplete[
			(* end-user qmcommands *)
			(* qe`commands *)
			(* programmer commands *)
];
Apply[Unprotect,qi`$formatNames];
Apply[ClearAll,qi`$formatNames];
Scan[Function[#::usage=ToString[#]<>" is a symbol of the Quantum Mechanics packages"],
	qi`$formatNames];
(* Next command does NOT protect the names (symbols) inside the list qi`$formatNames;
   it DOES protect the name of the list itself *)
SetAttributes[qi`$formatNames,{Protected,ReadProtected}];
qi`$formatNames::usage="qi`$formatNames is an internal symbol of the Quantum Mechanics packages";


(*These list sould be modified only with the qmSet* commands *)

(*These lists are protected, they should be modified only with qmSet* commands *)






Begin["`Private`"];


(* Finishing this package *)


(*
qi`setCommands[
	
];

qi`setUnlockedCommands[
	
];
*)


End[];


qi`message=qi`hello[];


EndPackage[];

Column[{qi`message, qi`sessionAliases[]}]
